Subject: Forum activity on: Extension fo automating menu selection
From: [email-masked]
To: [email-masked]
Date: Wed, 18 Sep 2024 19:38:01 -0000

Dear cosmobird,

A post has been edited on the topic "Extension fo automating menu selection" by panoss:
---
Hi everybody. I 'm creating a new extension. My goal (among others) is to replace these actions with one click: Extensions -> Gcodetools -> Tools library->Tools type: select 'default' -> click 'Apply&' -> click 'close'. This is my code, mainly created by chatGPT: #!/usr/bin/env python

import inkex
import subprocess

class GCodeToolsLibrary(inkex.EffectExtension):
    def effect(self):
        try:
            subprocess.run(["python3", "C:\Program Files\Inkscape\share\inkscape\extensions\other\gcodetools\gcodetools.py"], check=True)
        except subprocess.CalledProcessError as e:
            inkex.errormsg(f"Error calling GCodeTools Tools Library: {e}")

if __name__ == '__main__':
    GCodeToolsLibrary().run()   When I try it on Inkscape I get an error:Error calling GCodeTools Tools Library: Command '['python3', 'C:\\Program Files\\Inkscape\\share\\inkscape\\extensions\\other\\gcodetools\\gcodetools.py']' returned non-zero exit status 9009.Any help is welocome.
----
Link: http://www.inkscape.org/forums/extensions/extension-fo-automating-menu-selection/#c74619

All the best,
 Inkscape.org Website

~~~~~~~~~~~~~~~~~~~~~~~~~
Unsubscribe:

If you do no longer want to receive these messages, you can edit your subscriptions and notification settings at http://www.inkscape.org/alerts/settings/.